Skip to main content
POST
/
repos
/
{repo_id}
/
draft-commits
/
{draft_commit_id}
/
close
Close draft commit
curl --request POST \
  --url https://api.diversion.dev/v0/repos/{repo_id}/draft-commits/{draft_commit_id}/close \
  --header 'Authorization: Bearer <token>'
{
  "status": 123,
  "detail": "<string>",
  "title": "<string>",
  "type": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.diversion.dev/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

This API uses OAuth 2 with the implicit grant flow

Path Parameters

repo_id
string
required

The repo ID of the repository. Repo name can be used instead of the ID, but usage of ID for permanent linking and API requests is preferred.

Required string length: 3 - 128
Example:

"example_id"

draft_commit_id
string
required

Draft commit ID

Response

Request completed successfully